Package com.xmlmind.util

## Enum Platform

- java.lang.Object
- - java.lang.Enum<Platform>
  - - com.xmlmind.util.Platform

- All Implemented Interfaces:
    `Serializable`, `Comparable<Platform>`

      public enum Platform
      extends Enum<Platform>

  All the possible platforms.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GENERIC_UNIX` | Any Unix other than Mac OS X (Linux, Solaris, etc).
    `MAC_OS` | Mac OS X.
    `WINDOWS` | Any flavor of Microsoft Windows.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Platform` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Platform[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WINDOWS

          public static final Platform WINDOWS

      Any flavor of Microsoft Windows.

    - #### MAC_OS

          public static final Platform MAC_OS

      Mac OS X.

    - #### GENERIC_UNIX

          public static final Platform GENERIC_UNIX

      Any Unix other than Mac OS X (Linux, Solaris, etc).

  - ### Method Detail

    - #### values

          public static Platform[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Platform c : Platform.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Platform valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null